SystemOrganization addCategory: #'AdventureMaker-Core'!

Object subclass: #AMAdventure
	instanceVariableNames: 'name locations'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdventureMaker-Core'!

!AMAdventure methodsFor: 'initialization' stamp: 'srh 5/8/2007 18:09'!
initialize
	locations := OrderedCollection new.! !

Object subclass: #AMLocation
	instanceVariableNames: 'name description picture exits'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdventureMaker-Core'!

!AMLocation class methodsFor: 'instance creation' stamp: 'srh 5/8/2007 18:14'!
name: aName
	^self new setName: aName! !

!AMLocation methodsFor: 'accessing' stamp: 'srh 5/8/2007 18:15'!
description
	^description! !

!AMLocation methodsFor: 'accessing' stamp: 'srh 5/8/2007 18:15'!
description: aDescription
	description := aDescription! !

!AMLocation methodsFor: 'accessing' stamp: 'srh 5/8/2007 19:11'!
exitAt: anExit
	^exits at: anExit! !

!AMLocation methodsFor: 'accessing' stamp: 'srh 5/8/2007 19:11'!
exitAt: anExit put: aLocation
	exits at: anExit put: aLocation! !

!AMLocation methodsFor: 'accessing' stamp: 'srh 5/8/2007 18:15'!
name
	^name! !

!AMLocation methodsFor: 'accessing' stamp: 'srh 5/8/2007 18:15'!
name: aName
	name := aName! !

!AMLocation methodsFor: 'accessing' stamp: 'srh 5/8/2007 19:12'!
picture
	^picture! !

!AMLocation methodsFor: 'accessing' stamp: 'srh 5/8/2007 19:12'!
picture: aPicture
	picture := aPicture! !

Object subclass: #AMPlayer
	instanceVariableNames: 'name location'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdventureMaker-Core'!

!AMPlayer class methodsFor: 'instance creation' stamp: 'srh 5/8/2007 18:10'!
name: aName
	^self new setName: aName! !

!AMPlayer methodsFor: 'initializing' stamp: 'srh 5/8/2007 18:10'!
setName: aName
	name := aName! !
